List workflows
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.factify.com/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.factify.com/v1/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.factify.com/v1/workflows"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.factify.com/v1/workflows")
.header("Authorization", "Bearer <token>")
.asString();curl --request GET \
--url https://api.factify.com/v1/workflows \
--header 'Authorization: Bearer <token>'{
"workflows": [
{
"id": "wfl_01j9z0000000000000000000a0",
"name": "<string>",
"description": "<string>",
"body_md": "<string>",
"rubrics": [
{
"id": "<string>",
"slot_name": "party_name",
"label": "<string>",
"data_type": "text",
"created_at": "2023-11-07T05:31:56Z",
"validation_rule": "<string>",
"object_schema": "<string>",
"sources": [
{
"source_workflow_id": "<string>"
}
],
"description": "<string>",
"extraction_hint": "<string>",
"required": false
}
],
"created_at": "2023-11-07T05:31:56Z",
"active_revision_id": "<string>"
}
]
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid authentication credentials."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "Rate limit exceeded. Retry after the period indicated by the Retry-After header."
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 500,
"detail": "An unexpected error occurred. Retry, and contact support if the issue persists."
}Workflows
List workflows
GET
/
v1
/
workflows
List workflows
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.factify.com/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.factify.com/v1/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.factify.com/v1/workflows"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.factify.com/v1/workflows")
.header("Authorization", "Bearer <token>")
.asString();curl --request GET \
--url https://api.factify.com/v1/workflows \
--header 'Authorization: Bearer <token>'{
"workflows": [
{
"id": "wfl_01j9z0000000000000000000a0",
"name": "<string>",
"description": "<string>",
"body_md": "<string>",
"rubrics": [
{
"id": "<string>",
"slot_name": "party_name",
"label": "<string>",
"data_type": "text",
"created_at": "2023-11-07T05:31:56Z",
"validation_rule": "<string>",
"object_schema": "<string>",
"sources": [
{
"source_workflow_id": "<string>"
}
],
"description": "<string>",
"extraction_hint": "<string>",
"required": false
}
],
"created_at": "2023-11-07T05:31:56Z",
"active_revision_id": "<string>"
}
]
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid authentication credentials."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "Rate limit exceeded. Retry after the period indicated by the Retry-After header."
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 500,
"detail": "An unexpected error occurred. Retry, and contact support if the issue persists."
}Authorizations
Bearer authentication using a factapi-issued API key
(ffy_<env>_<base32_uuid><base62_random>). Cookie-based
sessions are accepted automatically by user-facing endpoints
but are not surfaced as an OpenAPI auth scheme.
Response
Workflows.
Show child attributes
Show child attributes
⌘I